libad9361: filter_design_parameters Struct Reference

libad9361 0.2 Device specific library for AD936X transceivers

Loading...
Searching...
No Matches
Data Fields
filter_design_parameters Struct Reference

Custom Filter Design Parameters. More...

`#include <ad9361.h>`

## Data Fields
double | Rdata
double | Fpass
double | Fstop
double | caldiv
double | FIR
double | HB1
double | DAC_div
const char * | Type
const char * | RxTx
double | RFbw
double | converter_rate
double | PLL_rate
double | Fcenter
double | wnom
double | FIRdBmin
double | int_FIR
double | PLL_mult
double | Apass
double | Astop
double | phEQ
double | HB2
double | HB3
double | maxTaps

## Detailed Description

Custom Filter Design Parameters.

A structure for custom filter designs for the AD936X programmable FIR in both TX and RX paths.

## Field Documentation

## ◆ Apass

double filter_design_parameters::Apass

Desired passband ripple in dB

## ◆ Astop

double filter_design_parameters::Astop

Desired stopband attenuation in dB

## ◆ caldiv

double filter_design_parameters::caldiv

Baseband analog filter calibration divider setting [1-511]

## ◆ converter_rate

double filter_design_parameters::converter_rate

Rate of ADC in hertz

## ◆ DAC_div

double filter_design_parameters::DAC_div

Divider enable setting of DAC clock [0,1]

## ◆ Fcenter

double filter_design_parameters::Fcenter

Center frequency in hertz of bandpass (Unused)

## ◆ FIR

double filter_design_parameters::FIR

Decimation/Interpolation setting of FIR [1,2,4]

## ◆ FIRdBmin

double filter_design_parameters::FIRdBmin

Minimum stop band attentuation of the FIR in dB

## ◆ Fpass

double filter_design_parameters::Fpass

Stop edge frequency in hertz of passband

## ◆ Fstop

double filter_design_parameters::Fstop

Start edge frequency in hertz of stopband

## ◆ HB1

double filter_design_parameters::HB1

Decimation/Interpolation setting of HB1 [1,2]

## ◆ HB2

double filter_design_parameters::HB2

Decimation/Interpolation setting of HB2 [1,2]

## ◆ HB3

double filter_design_parameters::HB3

Decimation/Interpolation setting of HB3 [1,2,3]

## ◆ int_FIR

double filter_design_parameters::int_FIR

Enable use of internal FIR filter [0,1]

## ◆ maxTaps

double filter_design_parameters::maxTaps

Maximum allowed FIR taps

## ◆ phEQ

double filter_design_parameters::phEQ

Enable phase equalization [0,1]

## ◆ PLL_mult

double filter_design_parameters::PLL_mult

Ratio of converter to PLL rate

## ◆ PLL_rate

double filter_design_parameters::PLL_rate

Rate of PLL in hertz

## ◆ Rdata

double filter_design_parameters::Rdata

Data rate of digital interface

## ◆ RFbw

double filter_design_parameters::RFbw

3dB corner of analog filter in hertz

## ◆ RxTx

const char* filter_design_parameters::RxTx

Filter path [Tx,Rx]

## ◆ Type

const char* filter_design_parameters::Type

Designer mode (only Lowpass supported)

## ◆ wnom

double filter_design_parameters::wnom

RF bandwidth of analog filter in hertz

The documentation for this struct was generated from the following file:

- /build/libad9361/src/libad9361-iio-0.3/ad9361.h